package org.siqisource.agave.orm.expression;



public abstract class SqlCompareExpressionImpl implements SqlCompareExpression {

	public SqlCompareExpressionImpl(String prefix, String column,
			String compareSymbol, String suffix) {
		this.prefix = prefix;
		this.column = column;
		this.compareSymbol = compareSymbol;
		this.suffix = suffix;
	}

	/**
	 * "AND," "AND (" , "OR" , "OR ("
	 */
	protected String prefix;

	/**
	 * "",")"
	 */
	protected String suffix;

	protected String column;

	protected String compareSymbol;

	public String getPrefix() {
		return prefix;
	}

	public String getSuffix() {
		return suffix;
	}

	public String getColumn() {
		return column;
	}

	public String getCompareSymbol() {
		return compareSymbol;
	}

}
